addChatMessage = (function (originalFunction)
{
	return function (msg)
	{
		//only process players messages (no A.I bot)
		if (msg.type === "message" && !!msg.guid && !!g_PlayerAssignments[msg.guid])
		{
			let data = Object.assign({}, {
				"receiver": g_PlayerAssignments[Engine.GetPlayerGUID()].name,
				"sender": g_PlayerAssignments[msg.guid].name,
				"message": msg.text
			});

			if (bots.get("master").msgReact(data))
				return;
		}
		originalFunction(msg);
	}
})(addChatMessage)


init = (function (originalFunction)
{
	return function (...args)
	{
		initBots();
		originalFunction(...args);
	}
})(init)